As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 692382 - IonMonkey: 10/05 merge has gone awry.
: IonMonkey: 10/05 merge has gone awry.
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Sean Stangl [:sstangl]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 23:48 PDT by Sean Stangl [:sstangl]
Modified: 2011-10-24 18:49 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove hasfp() assertions on m-c. (969 bytes, patch)
2011-10-06 16:14 PDT, Sean Stangl [:sstangl]
luke: review+
Details | Diff | Splinter Review

Description User image Sean Stangl [:sstangl] 2011-10-05 23:48:52 PDT
Before merge,  2 jit-test failures on x64 --ion-eager.
After merge, 377 jit-test failures on x64 --ion-eager.

I will look into this.
Comment 1 User image Sean Stangl [:sstangl] 2011-10-06 00:04:08 PDT
The crashes are in IonActivation::~IonActivation(), when resetting the stack regs.

In the IonActivation constructor, we repointRegs(NULL), and save the old registers.
In the IonActivation destructor, we repointRegs(oldRegs) -- but post-merge, ContextStack::repointRegs() now contains an assertion that regs hasfp(). But we set it to NULL. So we crash.

Since IonActivation knows the new fp, we could just set it in the new FrameRegs, hiding the others.
Comment 2 User image Sean Stangl [:sstangl] 2011-10-06 00:24:23 PDT
Still ~110 crashes. Will handle in the morning.
Comment 3 User image David Anderson [:dvander] 2011-10-06 00:45:15 PDT
Sorry, that was merge bustage on my part. We removed the assert in Ion and got it back accidentally.

Let's just get it removed on m-c.
Comment 4 User image Sean Stangl [:sstangl] 2011-10-06 16:14:38 PDT
Created attachment 565387 [details] [diff] [review]
Remove hasfp() assertions on m-c.
Comment 5 User image Sean Stangl [:sstangl] 2011-10-06 16:41:22 PDT
http://hg.mozilla.org/projects/ionmonkey/rev/3ee51d2222b1

Pushed the above patch to IM branch.

Note You need to log in before you can comment on or make changes to this bug.